# NAME

git-annex setkey - sets annexed content for a key

# SYNOPSIS

git annex setkey key file

# DESCRIPTION

This plumbing-level command makes the content of the specified key
be set to the specified file. The file is moved into the annex.

No checking is done that the file contains the expected contents of the key.
So it's generally a better idea to use [[git-annex-reinject]](1) instead of
this command.

# SEE ALSO

[[git-annex]](1)

[[git-annex-reinject]](1)

[[git-annex-dropkey]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
